.visually-hidden {
    display: none;
}

a[target="_blank"] i.fa-window-restore {
    display: none;
}


/* start simple header*/
.simple-header {
    display: flex;
    justify-content: space-between;
    padding: 20px;


}

.simple-header .title {
    font-weight: bold;
}

.simple-header .privacy-statement {
    border: 1px solid black;
    padding: 10px;
    width: 280px;
    text-align: center;
}

.complex-header .privacy-statement-complex {
    width: 600px;
}



/* end  simple header*/


/* start simple footer*/
.simple-footer-container {
    padding: 20px;
    width: 80%;
    margin: 0 auto;
}

.simple-footer-container .page-header {
    border-bottom: 2px solid black;
    padding-bottom: 10px;
    margin-bottom: 20px;
}

.simple-footer-container .header-text {
    margin-top: 10px;
}

.simple-footer-container .content {
    font-size: 14px;
}

.simple-footer-container .bold {
    font-weight: bold;
}

.simple-footer-container .link {
    color: black;
    text-decoration: none;
}

.simple-footer {
    font-size: 17.5px;
}

.simple-footer .form-code {
    font-size: 23px;
    font-weight: 700;
    padding-top: 5px;
    padding-bottom: 5px;
}

.simple-footer .strong {
    font-weight: 700;
    padding-top: 2px;
    padding-bottom: 2px;
}

/* end simple footer*/


/*start border content*/
.border-content {
    border: 1px solid #70757D;
    margin: 2px;
}

.border-content div[ref="nested-container"] {
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 13px;
    padding-right: 13px;

}

.border-content>div:first-child {
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 13px;
    padding-right: 13px;

}

.btn-primary {
    background-color: #0051A8 !important;
}

.simple-header h1 {
    font-size: 23px;
    font-weight: 700;
}

.simple-header h2 {
    font-size: 17.5px;
    font-weight: 700;
}


.privacy-statement p {
    font-size: 16px;
}


.privacy-statement strong {
    font-size: 16px;
    font-weight: 700;
}

/*end border content*/

/*horizontal rulers*/

.hr-full {
    border-style: solid;
    border-width: 1px;
    margin-bottom: 10px;

    .border-100 {
        border-color: rgb(0, 0, 0);
    }

}

.hr-half {
    border-style: solid;
    border-width: 1px;
    margin-bottom: 10px;

    .border-50 {
        border-color: rgba(0, 0, 255, 0.5);
    }
}

.formio-component-columns div[ref^="column-"] {
    padding-left: 0px;
}




@media print {

    /* Styles for the header */
    .formio-component-printHeader {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        border-bottom: 2px solid black;
        padding: 20px;
        background-color: white;
        z-index: 1000;
        height: auto;
    }

    /* Styles for the footer */
    .simple-footer {
        position: fixed;
        bottom: 0;
        left: 0;
        width: 100%;
        border-top: 2px solid black;
        padding: 20px;
        background-color: white;
        z-index: 1000;
    }

    /* Ensuring content does not overlap header/footer */


    .simple-header {
        padding: 0;
    }

    .signature-pad-canvas {
        border: none !important;
    }
}



/* preview page*/

.prev-toolbar {
    margin-bottom: 10px;
    padding: 6px 8px 8px 6px;
    border: 2px solid #6b6b6d;
    border-radius: 8px;
}

.prev-toolbar .btn i {
    margin-right: 5px;
}

@media print {
    .print-hide {
        display: none !important;
        /* Ensure the element is hidden */
    }

    /*column preseve*/

    .formio-component-columns {
        display: flex !important;
        flex-direction: row !important;
        flex-wrap: nowrap !important;
    }

    .formio-component-columns>div[class^="col-"] {
        flex: 1 0 0 !important;
        /* max-width: 33.33% !important;  */
        display: block !important;
    }

    .formio-component .form-group {
        margin-bottom: 0 !important;
    }

    /* Optional: Prevent page breaks inside the row */
    .formio-component-columns {
        page-break-inside: avoid !important;
    }

    /*end   preseve*/

    .formio-component-htmlelement {
        margin-top: 13px;
        margin-bottom: 13px;
        margin-left: 3.5px;
        margin-right: 3.5px;
    }
}

.developer-only {
    display: none;
}


/* radio and checkbox mis align fix*/

.form-check input[type="radio"],
.form-check input[type="checkbox"] {

    vertical-align: middle;
    transform: translateY(-3px);
    /* Adjust position slightly upward */
}

/*date time picker alignment issue*/
.flatpickr-calendar {
    z-index: 9999 !important;
    left: auto !important;
    right: 0 !important;
}

.formio {
    overflow: visible !important;
    /* or the parent container */
}

/*end preview page*/

/*fix date time picker*//* Force Flatpickr calendar to be inside the main container */
.flatpickr-calendar {
    left: 50% !important;
    transform: translateX(-50%) !important;
    right: auto !important;
    margin: 0 !important;
    z-index: 9999 !important;
  }
  
